<?php

if (empty($_GET['elid'])) {
    if (empty($_POST['submit'])) {
        $content = api_query('https://' . $server . '/manager/ispmgr?func=email.edit&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
        $parse_xml = simplexml_load_string($content);
        echo '<div class="menu"><img src="images/t-new.png" alt="." />Создание почтового ящика<br />' . "\n";
        echo '</div>' . "\n";
        echo '<div class="post"><form action="?func=email.edit" method="post">' . "\n";
        echo 'Имя:<br />' . "\n";
        echo '<input name="name" /><br />' . "\n";
        echo 'Домен:<br />' . "\n";
        echo '<select name="domain">' . "\n";
        $content = api_query('https://' . $server . '/manager/ispmgr?func=emaildomain&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
        $parse_xml_domain = simplexml_load_string($content);
        foreach($parse_xml_domain->elem as $var) {
            echo '<option value="' . htmlentities((string)$var->name, ENT_QUOTES, 'UTF-8') . '">' . htmlentities((string)$var->name, ENT_QUOTES, 'UTF-8') . '</option>' . "\n";
        }
        echo '</select><br />' . "\n";
        echo 'Псевдонимы:<br />' . "\n";
        echo '[?] Одно или несколько значений, разделенных пробелом.<br />' . "\n";
        echo '<input name="aliases" /><br />' . "\n";
        echo 'Пароль:<br />' . "\n";
        echo '<input name="passwd" type="password" /><br />' . "\n";
        echo 'Подтверждение:<br />' . "\n";
        echo '<input name="confirm" type="password" /><br />' . "\n";
        echo 'Макс. размер (Мб):<br />' . "\n";
        echo '[?] Для указания &quot;бесконечности&quot; используйте &quot;0&quot;.<br />' . "\n";
        echo '<input name="quota" value="0" /><br />' . "\n";
        echo 'Слать копии писем на e-mail:<br />' . "\n";
        echo '[?] Одно или несколько значений, разделенных пробелом.<br />' . "\n";
        echo '<input name="forward" /><br />' . "\n";
        echo '<input type="checkbox" name="rmlocal" value="on" /> Не сохранять в ящик<br />' . "\n";
        echo '<input type="checkbox" name="spamassassin" value="on"';
        if (isset($parse_xml->spamassassin)) {
            echo ' checked="checked"';
        }
        echo ' /> Включить SpamAssassin<br />' . "\n";
        echo 'Примечание:<br />' . "\n";
        echo '<input name="note" /><br />' . "\n";
        echo '<input name="submit" type="submit" value="Создать" />' . "\n";
        echo '</form>' . "\n";
        echo '</div>' . "\n";
        echo '<div class="menu"><img src="images/t-back.png" alt=".." /><a href="?func=email">Вернуться</a>' . "\n</div>";
    } else {
        if ($_POST['passwd'] <> $_POST['confirm'] or $_POST['passwd'] == '') {
            echo '<div class="post"><div style="text-align:center">' . "\n";
            echo 'Ошибка при создании почтового ящика!<br />' . "\n";
            echo 'Пароль не подтвержден.<br />' . "\n";
            echo '<a href="?func=email">Продолжить&#187;</a>' . "\n";
            echo '</div></div>' . "\n";
        } else {
            $rmlocal = isset($_POST['rmlocal'])?'on':'';
            $spamassassin = isset($_POST['spamassassin'])?'on':'';
            $content = api_query('https://' . $server . '/manager/ispmgr?func=email.edit&name=' . urlencode($_POST['name']) . '&domain=' . urlencode($_POST['domain']) . '&aliases=' . urlencode($_POST['aliases']) . '&passwd=' . urlencode($_POST['passwd']) . '&confirm=' . urlencode($_POST['confirm']) . '&quota=' . urlencode($_POST['quota']) . '&forward=' . urlencode($_POST['forward']) . '&note=' . urlencode($_POST['note']) . '&spamassassin=' . $spamassassin . '&rmlocal=' . $rmlocal . '&sok=ok&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
            $parse_xml = simplexml_load_string($content);
            if (isset($parse_xml->ok)) {
                echo '<div class="post"><div style="text-align:center">' . "\n";
                echo 'Почтовый ящик успешно создан!<br />' . "\n";
                echo '<a href="?func=email">Продолжить&#187;</a>' . "\n";
                echo '</div></div>' . "\n";
            } else {
                echo '<div class="post"><div style="text-align:center">' . "\n";
                echo 'Ошибка при создании почтового ящика!<br />' . "\n";
                echo '<a href="?func=email">Продолжить&#187;</a>' . "\n";
                echo '</div></div>' . "\n";
            }
        }
    }
} else {
    if (empty($_POST['submit'])) {
        $content = api_query('https://' . $server . '/manager/ispmgr?func=email.edit&elid=' . urlencode($_GET['elid']) . '&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
        $parse_xml = simplexml_load_string($content);
        echo '<div class="menu"><img src="images/t-edit.png" alt="." />Изменение почтового ящика ' . htmlentities($_GET['elid'], ENT_QUOTES, 'UTF-8') . '<br />' . "\n";
        echo '</div>' . "\n";
        echo '<div class="post"><form action="?func=email.edit&amp;elid=' . urlencode($_GET['elid']) . '" method="post">' . "\n";
        echo 'Псевдонимы:<br />' . "\n";
        echo '[?] Одно или несколько значений, разделенных пробелом.<br />' . "\n";
        echo '<input name="aliases"';
        if (isset($parse_xml->aliases)) {
            echo ' value="' . htmlentities((string)$parse_xml->aliases, ENT_QUOTES, 'UTF-8') . '"';
        }
        echo ' /><br />' . "\n";
        echo 'Пароль:<br />' . "\n";
        echo '<input name="passwd" type="password" /><br />' . "\n";
        echo 'Подтверждение:<br />' . "\n";
        echo '<input name="confirm" type="password" /><br />' . "\n";
        echo 'Макс. размер (Мб):<br />' . "\n";
        echo '[?] Для указания &quot;бесконечности&quot; используйте &quot;0&quot;.<br />' . "\n";
        echo '<input name="quota"';
        if (isset($parse_xml->quota)) {
            echo ' value="' . htmlentities((string)$parse_xml->quota, ENT_QUOTES, 'UTF-8') . '"';
        } else {
            echo ' value="0"';
        }
        echo ' /><br />' . "\n";
        echo 'Слать копии писем на e-mail:<br />' . "\n";
        echo '[?] Одно или несколько значений, разделенных пробелом.<br />' . "\n";
        echo '<input name="forward"';
        if (isset($parse_xml->forward)) {
            echo ' value="' . htmlentities((string)$parse_xml->forward, ENT_QUOTES, 'UTF-8') . '"';
        }
        echo ' /><br />' . "\n";
        echo '<input type="checkbox" name="rmlocal" value="on"';
        if (isset($parse_xml->rmlocal)) {
            echo ' checked="checked"';
        }
        echo ' /> Не сохранять в ящик<br />' . "\n";
        echo '<input type="checkbox" name="spamassassin" value="on"';
        if (isset($parse_xml->spamassassin)) {
            echo ' checked="checked"';
        }
        echo ' /> Включить SpamAssassin<br />' . "\n";
        echo 'Примечание:<br />' . "\n";
        echo '<input name="note"';
        if (isset($parse_xml->note)) {
            echo ' value="' . htmlentities((string)$parse_xml->note, ENT_QUOTES, 'UTF-8') . '"';
        }
        echo ' /><br />' . "\n";
        echo '<input name="submit" type="submit" value="Изменить" />' . "\n";
        echo '</form>' . "\n";
        echo '</div>' . "\n";
        echo '<div class="menu"><img src="images/t-back.png" alt=".." /><a href="?func=email">Вернуться</a>' . "\n</div>";
    } else {
        if ($_POST['passwd'] <> $_POST['confirm'] or $_POST['passwd'] == '') {
            echo '<div class="post"><div style="text-align:center">' . "\n";
            echo 'Ошибка при изменении почтового ящика!<br />' . "\n";
            echo 'Пароль не подтвержден.<br />' . "\n";
            echo '<a href="?func=email">Продолжить&#187;</a>' . "\n";
            echo '</div></div>' . "\n";
        } else {
            $rmlocal = isset($_POST['rmlocal'])?'on':'';
            $spamassassin = isset($_POST['spamassassin'])?'on':'';
            $content = api_query('https://' . $server . '/manager/ispmgr?func=email.edit&elid=' . urlencode($_GET['elid']) . '&aliases=' . urlencode($_POST['aliases']) . '&passwd=' . urlencode($_POST['passwd']) . '&confirm=' . urlencode($_POST['confirm']) . '&quota=' . urlencode($_POST['quota']) . '&forward=' . urlencode($_POST['forward']) . '&note=' . urlencode($_POST['note']) . '&spamassassin=' . $spamassassin . '&rmlocal=' . $rmlocal . '&sok=ok&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
            $parse_xml = simplexml_load_string($content);
            if (isset($parse_xml->ok)) {
                echo '<div class="post"><div style="text-align:center">' . "\n";
                echo 'Почтовый ящик успешно изменен!<br />' . "\n";
                echo '<a href="?func=email">Продолжить&#187;</a>' . "\n";
                echo '</div></div>' . "\n";
            } else {
                echo '<div class="post"><div style="text-align:center">' . "\n";
                echo 'Ошибка при изменении почтового ящика!<br />' . "\n";
                echo '<a href="?func=email">Продолжить&#187;</a>' . "\n";
                echo '</div></div>' . "\n";
            }
        }
    }
}

?>